Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOPC.cpp File Reference

`#include "IOPC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "IOPC.i"`

Include dependency graph for IOPC.cpp:

## Defines
#define | _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_
#define | _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_
#define | _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CS_
#define | _IOP_TAGGEDCOMPONENTLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CS_
#define | _IOP_SERVICECONTEXTLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_IOP_ProfileId (CORBA::tk_alias, sizeof(_oc_IOP_ProfileId),(char *)&_oc_IOP_ProfileId, 0, sizeof(IOP::ProfileId))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(IOP) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedProfile (CORBA::tk_struct, sizeof(_oc_IOP_TaggedProfile),(char *)&_oc_IOP_TaggedProfile, 0, sizeof(IOP::TaggedProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_IOR (CORBA::tk_struct, sizeof(_oc_IOP_IOR),(char *)&_oc_IOP_IOR, 0, sizeof(IOP::IOR))
CORBA::TypeCode | _tc_TAO_tc_IOP_ComponentId (CORBA::tk_alias, sizeof(_oc_IOP_ComponentId),(char *)&_oc_IOP_ComponentId, 0, sizeof(IOP::ComponentId))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponent (CORBA::tk_struct, sizeof(_oc_IOP_TaggedComponent),(char *)&_oc_IOP_TaggedComponent, 0, sizeof(IOP::TaggedComponent))
CORBA::TypeCode | _tc_TAO_tc_IOP_MultipleComponentProfile (CORBA::tk_alias, sizeof(_oc_IOP_MultipleComponentProfile),(char *)&_oc_IOP_MultipleComponentProfile, 0, sizeof(IOP::MultipleComponentProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentList (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentList),(char *)&_oc_IOP_TaggedComponentList, 0, sizeof(IOP::TaggedComponentList))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentSeq (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentSeq),(char *)&_oc_IOP_TaggedComponentSeq, 0, sizeof(IOP::TaggedComponentSeq))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceId (CORBA::tk_alias, sizeof(_oc_IOP_ServiceId),(char *)&_oc_IOP_ServiceId, 0, sizeof(IOP::ServiceId))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContext (CORBA::tk_struct, sizeof(_oc_IOP_ServiceContext),(char *)&_oc_IOP_ServiceContext, 0, sizeof(IOP::ServiceContext))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContextList (CORBA::tk_alias, sizeof(_oc_IOP_ServiceContextList),(char *)&_oc_IOP_ServiceContextList, 0, sizeof(IOP::ServiceContextList))
void | tao_IOP_Codec_release (IOP::Codec_ptr p)
IOP::Codec_ptr | tao_IOP_Codec_nil (void)
IOP::Codec_ptr | tao_IOP_Codec_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_IOP_Codec_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding (CORBA::tk_except, sizeof(_oc_IOP_Codec_InvalidTypeForEncoding),(char *)&_oc_IOP_Codec_InvalidTypeForEncoding, 0, sizeof(IOP::Codec::InvalidTypeForEncoding))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_FormatMismatch (CORBA::tk_except, sizeof(_oc_IOP_Codec_FormatMismatch),(char *)&_oc_IOP_Codec_FormatMismatch, 0, sizeof(IOP::Codec::FormatMismatch))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_TypeMismatch (CORBA::tk_except, sizeof(_oc_IOP_Codec_TypeMismatch),(char *)&_oc_IOP_Codec_TypeMismatch, 0, sizeof(IOP::Codec::TypeMismatch))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec (CORBA::tk_objref, sizeof(_oc_IOP_Codec),(char *)&_oc_IOP_Codec, 0, sizeof(IOP::Codec))
CORBA::TypeCode | _tc_TAO_tc_IOP_EncodingFormat (CORBA::tk_alias, sizeof(_oc_IOP_EncodingFormat),(char *)&_oc_IOP_EncodingFormat, 0, sizeof(IOP::EncodingFormat))
CORBA::TypeCode | _tc_TAO_tc_IOP_Encoding (CORBA::tk_struct, sizeof(_oc_IOP_Encoding),(char *)&_oc_IOP_Encoding, 0, sizeof(IOP::Encoding))
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_duplicate (IOP::CodecFactory_ptr p)
void | tao_IOP_CodecFactory_release (IOP::CodecFactory_ptr p)
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_nil (void)
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_IOP_CodecFactory_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_IOP_CodecFactory_UnknownEncoding (CORBA::tk_except, sizeof(_oc_IOP_CodecFactory_UnknownEncoding),(char *)&_oc_IOP_CodecFactory_UnknownEncoding, 0, sizeof(IOP::CodecFactory::UnknownEncoding))
CORBA::TypeCode | _tc_TAO_tc_IOP_CodecFactory (CORBA::tk_objref, sizeof(_oc_IOP_CodecFactory),(char *)&_oc_IOP_CodecFactory, 0, sizeof(IOP::CodecFactory))
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedProfile *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedProfile *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedProfile *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::IOR &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::IOR *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::IOR *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::IOR *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponent &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponent *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponent *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponent *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::MultipleComponentProfile &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::MultipleComponentProfile *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::MultipleComponentProfile *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::MultipleComponentProfile *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponentList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponentList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponentList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponentList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::TaggedComponentSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::TaggedComponentSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::TaggedComponentSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::TaggedComponentSeq *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::ServiceContext &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::ServiceContext *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::ServiceContext *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::ServiceContext *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::ServiceContextList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::ServiceContextList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::ServiceContextList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::ServiceContextList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Codec_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Codec_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::Codec_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::Codec::InvalidTypeForEncoding &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Codec::InvalidTypeForEncoding *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::Codec::InvalidTypeForEncoding *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::Codec::InvalidTypeForEncoding *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::Codec::FormatMismatch &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Codec::FormatMismatch *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::Codec::FormatMismatch *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::Codec::FormatMismatch *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::Codec::TypeMismatch &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Codec::TypeMismatch *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::Codec::TypeMismatch *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::Codec::TypeMismatch *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::Encoding &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::Encoding *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::Encoding *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::Encoding *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::CodecFactory_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::CodecFactory_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::CodecFactory_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IOP::CodecFactory::UnknownEncoding &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IOP::CodecFactory::UnknownEncoding *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IOP::CodecFactory::UnknownEncoding *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IOP::CodecFactory::UnknownEncoding *&_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedProfile::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedProfile::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::IOR::_tao_seq_TaggedProfile &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::IOR::_tao_seq_TaggedProfile &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponent::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponent::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContext::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContext::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContextList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContextList &_tao_sequence)
## Variables
const CORBA::Long | _oc_IOP_ProfileId []
const CORBA::Long | _oc_IOP_IOR []
const CORBA::Long | _oc_IOP_ComponentId []
const CORBA::Long | _oc_IOP_MultipleComponentProfile []
const CORBA::Long | _oc_IOP_TaggedComponentList []
const CORBA::Long | _oc_IOP_TaggedComponentSeq []
const CORBA::Long | _oc_IOP_ServiceContextList []
const CORBA::Long | _oc_IOP_Codec_FormatMismatch []
const CORBA::Long | _oc_IOP_Codec_TypeMismatch []
const CORBA::Long | _oc_IOP_Codec []
const CORBA::Long | _oc_IOP_CodecFactory []

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CS_

#define _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_

#define _IOP_MULTIPLECOMPONENTPROFILE_CS_

#define _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CS_

#define _IOP_SERVICECONTEXTLIST_CS_

#define _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CS_

#define _IOP_TAGGEDCOMPONENTLIST_CS_

#define _IOP_TAGGEDCOMPONENTSEQ_CS_

#define _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_IOP_Codec | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_IOP_Codec) | ,
|  | (char *)& | _oc_IOP_Codec,
|  | 0 | ,
|  | sizeof(IOP::Codec) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_FormatMismatch | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_FormatMismatch) | ,
|  | (char *)& | _oc_IOP_Codec_FormatMismatch,
|  | 0 | ,
|  | sizeof(IOP::Codec::FormatMismatch) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_InvalidTypeForEncoding) | ,
|  | (char *)& | _oc_IOP_Codec_InvalidTypeForEncoding,
|  | 0 | ,
|  | sizeof(IOP::Codec::InvalidTypeForEncoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_TypeMismatch | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_TypeMismatch) | ,
|  | (char *)& | _oc_IOP_Codec_TypeMismatch,
|  | 0 | ,
|  | sizeof(IOP::Codec::TypeMismatch) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_CodecFactory | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_IOP_CodecFactory) | ,
|  | (char *)& | _oc_IOP_CodecFactory,
|  | 0 | ,
|  | sizeof(IOP::CodecFactory) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_CodecFactory_UnknownEncoding | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_CodecFactory_UnknownEncoding) | ,
|  | (char *)& | _oc_IOP_CodecFactory_UnknownEncoding,
|  | 0 | ,
|  | sizeof(IOP::CodecFactory::UnknownEncoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ComponentId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ComponentId) | ,
|  | (char *)& | _oc_IOP_ComponentId,
|  | 0 | ,
|  | sizeof(IOP::ComponentId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Encoding | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_Encoding) | ,
|  | (char *)& | _oc_IOP_Encoding,
|  | 0 | ,
|  | sizeof(IOP::Encoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_EncodingFormat | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_EncodingFormat) | ,
|  | (char *)& | _oc_IOP_EncodingFormat,
|  | 0 | ,
|  | sizeof(IOP::EncodingFormat) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_IOR | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_IOR) | ,
|  | (char *)& | _oc_IOP_IOR,
|  | 0 | ,
|  | sizeof(IOP::IOR) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_MultipleComponentProfile | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_MultipleComponentProfile) | ,
|  | (char *)& | _oc_IOP_MultipleComponentProfile,
|  | 0 | ,
|  | sizeof(IOP::MultipleComponentProfile) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ProfileId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ProfileId) | ,
|  | (char *)& | _oc_IOP_ProfileId,
|  | 0 | ,
|  | sizeof(IOP::ProfileId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContext | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_ServiceContext) | ,
|  | (char *)& | _oc_IOP_ServiceContext,
|  | 0 | ,
|  | sizeof(IOP::ServiceContext) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContextList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceContextList) | ,
|  | (char *)& | _oc_IOP_ServiceContextList,
|  | 0 | ,
|  | sizeof(IOP::ServiceContextList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceId) | ,
|  | (char *)& | _oc_IOP_ServiceId,
|  | 0 | ,
|  | sizeof(IOP::ServiceId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponent | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedComponent) | ,
|  | (char *)& | _oc_IOP_TaggedComponent,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponent) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentList) | ,
|  | (char *)& | _oc_IOP_TaggedComponentList,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentSeq) | ,
|  | (char *)& | _oc_IOP_TaggedComponentSeq,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentSeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedProfile | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedProfile) | ,
|  | (char *)& | _oc_IOP_TaggedProfile,
|  | 0 | ,
|  | sizeof(IOP::TaggedProfile) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContextList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContext::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::MultipleComponentProfile & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponent::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::IOR::_tao_seq_TaggedProfile & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedProfile::_tao_seq_Octet & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::CodecFactory::UnknownEncoding * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::CodecFactory::UnknownEncoding & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::CodecFactory_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::CodecFactory_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Encoding * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::Encoding & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Codec::TypeMismatch * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::Codec::TypeMismatch & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Codec::FormatMismatch * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::Codec::FormatMismatch & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Codec::InvalidTypeForEncoding * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::Codec::InvalidTypeForEncoding & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Codec_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::Codec_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::ServiceContextList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::ServiceContextList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::ServiceContext * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::ServiceContext & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::MultipleComponentProfile * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::MultipleComponentProfile & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedComponent * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponent & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::IOR * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IOP::IOR & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IOP::TaggedProfile * | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContextList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContext::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::MultipleComponentProfile & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponent::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::IOR::_tao_seq_TaggedProfile & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedProfile::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::CodecFactory::UnknownEncoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::CodecFactory::UnknownEncoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::CodecFactory_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::Encoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::Encoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::Codec::TypeMismatch *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::Codec::TypeMismatch *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::Codec::FormatMismatch *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::Codec::FormatMismatch *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::Codec::InvalidTypeForEncoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::Codec::InvalidTypeForEncoding *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::Codec_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::ServiceContextList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::ServiceContextList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::ServiceContext *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::ServiceContext *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::MultipleComponentProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::MultipleComponentProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedComponent *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedComponent *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::IOR *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::IOR *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IOP::TaggedProfile *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IOP::TaggedProfile *& | _tao_elem
| ) |

IOP::Codec_ptr tao_IOP_Codec_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

IOP::Codec_ptr tao_IOP_Codec_nil | ( | void |  | ) |

void tao_IOP_Codec_release | ( | IOP::Codec_ptr | p | ) |

CORBA::Object* tao_IOP_Codec_upcast | ( | void * | src | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_duplicate | ( | IOP::CodecFactory_ptr | p | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_nil | ( | void |  | ) |

void tao_IOP_CodecFactory_release | ( | IOP::CodecFactory_ptr | p | ) |

CORBA::Object* tao_IOP_CodecFactory_upcast | ( | void * | src | ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_IOP_Codec[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      26,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x633a312e),
      ACE_NTOHL (0x30000000),
      6,
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63000000),
    }

const CORBA::Long _oc_IOP_Codec_FormatMismatch[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x632f466f),
      ACE_NTOHL (0x726d6174),
      ACE_NTOHL (0x4d69736d),
      ACE_NTOHL (0x61746368),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      15,
      ACE_NTOHL (0x466f726d),
      ACE_NTOHL (0x61744d69),
      ACE_NTOHL (0x736d6174),
      ACE_NTOHL (0x63680000),
      0,
    }

const CORBA::Long _oc_IOP_Codec_TypeMismatch[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      39,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x632f5479),
      ACE_NTOHL (0x70654d69),
      ACE_NTOHL (0x736d6174),
      ACE_NTOHL (0x63683a31),
      ACE_NTOHL (0x2e300000),
      13,
      ACE_NTOHL (0x54797065),
      ACE_NTOHL (0x4d69736d),
      ACE_NTOHL (0x61746368),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_IOP_CodecFactory[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63466163),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      13,
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63466163),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x0),
    }

const CORBA::Long _oc_IOP_ComponentId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      32,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x7449643a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x74496400),
      CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_IOR[]`[static]`

const CORBA::Long _oc_IOP_MultipleComponentProfile[]`[static]`

const CORBA::Long _oc_IOP_ProfileId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
      10,
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x64000000),
      CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_ServiceContextList[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentList[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentSeq[]`[static]`